package game

import (
	"tetris/assets"
	"tetris/engine/graphics"
)

type Block byte

const (
	BLOCK_EMPTY Block = iota
	BLOCK_RED
	BLOCK_GREEN
	BLOCK_BLUE
	BLOCK_YELLOW
	BLOCK_ORANGE
	BLOCK_MAGENTA
	BLOCK_TEAL
)

func (c Block) Tile() graphics.Tile {
	if c >= 8 {
		c = BLOCK_EMPTY
	}
	return graphics.Tile{
		Size: assets.BLOCK_TILE_SIZE,
		X:    byte(c),
		Y:    byte(0),
	}
}
